package com.engine.kq.wfset.bean;

/**
 * 考勤变更流程特有bean
 */
public class ProcessChangeSplitBean {

  /**
   * 表单上数据库里存的开始日期字段
   */
  private String fromdatedb;

  /**
   * 表单上数据库里存的开始时间字段
   */
  private String fromtimedb;

  /**
   * 表单上数据库里存的结束日期字段
   */
  private String todatedb;

  /**
   * 表单上数据库里存的结束时间字段
   */
  private String totimedb;

  /**
   * 表单上数据库里存的时长字段
   */
  private String durationDB;

  /**
   * 考勤变更类型，撤销还是变更
   * 0是变更，1是撤销
   */
  private String processType;


  public ProcessChangeSplitBean() {
    this.fromdatedb = "";
    this.fromtimedb = "";
    this.todatedb = "";
    this.totimedb = "";
    this.durationDB = "";
    this.processType = "";
  }

  public String getFromdatedb() {
    return fromdatedb;
  }

  public void setFromdatedb(String fromdatedb) {
    this.fromdatedb = fromdatedb;
  }

  public String getFromtimedb() {
    return fromtimedb;
  }

  public void setFromtimedb(String fromtimedb) {
    this.fromtimedb = fromtimedb;
  }

  public String getTodatedb() {
    return todatedb;
  }

  public void setTodatedb(String todatedb) {
    this.todatedb = todatedb;
  }

  public String getTotimedb() {
    return totimedb;
  }

  public void setTotimedb(String totimedb) {
    this.totimedb = totimedb;
  }

  public String getDurationDB() {
    return durationDB;
  }

  public void setDurationDB(String durationDB) {
    this.durationDB = durationDB;
  }

  public String getProcessType() {
    return processType;
  }

  public void setProcessType(String processType) {
    this.processType = processType;
  }
}
